package com.hippo.ehviewer.dao;

import java.util.Map;

public class DaoSession extends C1728y {
    private final BookmarksDao bookmarksDao;
    private final C0138Ic bookmarksDaoConfig;
    private final DownloadDirnameDao downloadDirnameDao;
    private final C0138Ic downloadDirnameDaoConfig;
    private final DownloadLabelDao downloadLabelDao;
    private final C0138Ic downloadLabelDaoConfig;
    private final DownloadsDao downloadsDao;
    private final C0138Ic downloadsDaoConfig;
    private final FilterDao filterDao;
    private final C0138Ic filterDaoConfig;
    private final HistoryDao historyDao;
    private final C0138Ic historyDaoConfig;
    private final LocalFavoritesDao localFavoritesDao;
    private final C0138Ic localFavoritesDaoConfig;
    private final QuickSearchDao quickSearchDao;
    private final C0138Ic quickSearchDaoConfig;

    public DaoSession(AbstractC0240Oc oc, EnumC1073ls lsVar, Map map) {
        super(oc);
        C0138Ic ic = new C0138Ic((C0138Ic) map.get(DownloadsDao.class));
        this.downloadsDaoConfig = ic;
        ic.b(lsVar);
        C0138Ic ic2 = new C0138Ic((C0138Ic) map.get(DownloadLabelDao.class));
        this.downloadLabelDaoConfig = ic2;
        ic2.b(lsVar);
        C0138Ic ic3 = new C0138Ic((C0138Ic) map.get(DownloadDirnameDao.class));
        this.downloadDirnameDaoConfig = ic3;
        ic3.b(lsVar);
        C0138Ic ic4 = new C0138Ic((C0138Ic) map.get(HistoryDao.class));
        this.historyDaoConfig = ic4;
        ic4.b(lsVar);
        C0138Ic ic5 = new C0138Ic((C0138Ic) map.get(QuickSearchDao.class));
        this.quickSearchDaoConfig = ic5;
        ic5.b(lsVar);
        C0138Ic ic6 = new C0138Ic((C0138Ic) map.get(LocalFavoritesDao.class));
        this.localFavoritesDaoConfig = ic6;
        ic6.b(lsVar);
        C0138Ic ic7 = new C0138Ic((C0138Ic) map.get(BookmarksDao.class));
        this.bookmarksDaoConfig = ic7;
        ic7.b(lsVar);
        C0138Ic ic8 = new C0138Ic((C0138Ic) map.get(FilterDao.class));
        this.filterDaoConfig = ic8;
        ic8.b(lsVar);
        DownloadsDao downloadsDao2 = new DownloadsDao(ic, this);
        this.downloadsDao = downloadsDao2;
        DownloadLabelDao downloadLabelDao2 = new DownloadLabelDao(ic2, this);
        this.downloadLabelDao = downloadLabelDao2;
        DownloadDirnameDao downloadDirnameDao2 = new DownloadDirnameDao(ic3, this);
        this.downloadDirnameDao = downloadDirnameDao2;
        HistoryDao historyDao2 = new HistoryDao(ic4, this);
        this.historyDao = historyDao2;
        QuickSearchDao quickSearchDao2 = new QuickSearchDao(ic5, this);
        this.quickSearchDao = quickSearchDao2;
        LocalFavoritesDao localFavoritesDao2 = new LocalFavoritesDao(ic6, this);
        this.localFavoritesDao = localFavoritesDao2;
        BookmarksDao bookmarksDao2 = new BookmarksDao(ic7, this);
        this.bookmarksDao = bookmarksDao2;
        FilterDao filterDao2 = new FilterDao(ic8, this);
        this.filterDao = filterDao2;
        registerDao(DownloadInfo.class, downloadsDao2);
        registerDao(DownloadLabel.class, downloadLabelDao2);
        registerDao(DownloadDirname.class, downloadDirnameDao2);
        registerDao(HistoryInfo.class, historyDao2);
        registerDao(QuickSearch.class, quickSearchDao2);
        registerDao(LocalFavoriteInfo.class, localFavoritesDao2);
        registerDao(BookmarkInfo.class, bookmarksDao2);
        registerDao(Filter.class, filterDao2);
    }

    public void clear() {
        this.downloadsDaoConfig.a();
        this.downloadLabelDaoConfig.a();
        this.downloadDirnameDaoConfig.a();
        this.historyDaoConfig.a();
        this.quickSearchDaoConfig.a();
        this.localFavoritesDaoConfig.a();
        this.bookmarksDaoConfig.a();
        this.filterDaoConfig.a();
    }

    public BookmarksDao getBookmarksDao() {
        return this.bookmarksDao;
    }

    public DownloadDirnameDao getDownloadDirnameDao() {
        return this.downloadDirnameDao;
    }

    public DownloadLabelDao getDownloadLabelDao() {
        return this.downloadLabelDao;
    }

    public DownloadsDao getDownloadsDao() {
        return this.downloadsDao;
    }

    public FilterDao getFilterDao() {
        return this.filterDao;
    }

    public HistoryDao getHistoryDao() {
        return this.historyDao;
    }

    public LocalFavoritesDao getLocalFavoritesDao() {
        return this.localFavoritesDao;
    }

    public QuickSearchDao getQuickSearchDao() {
        return this.quickSearchDao;
    }
}
