package com.hippo.ehviewer.dao;

import android.os.Parcel;
import android.os.Parcelable;

public class DownloadInfo extends C0150Io {
    public static final Parcelable.Creator CREATOR = new Parcelable.Creator() {
        /* class com.hippo.ehviewer.dao.DownloadInfo.AnonymousClass1 */

        @Override // android.os.Parcelable.Creator
        public DownloadInfo createFromParcel(Parcel parcel) {
            return new DownloadInfo(parcel);
        }

        @Override // android.os.Parcelable.Creator
        public DownloadInfo[] newArray(int i) {
            return new DownloadInfo[i];
        }
    };
    public static final int STATE_DOWNLOAD = 2;
    public static final int STATE_FAILED = 4;
    public static final int STATE_FINISH = 3;
    public static final int STATE_INVALID = -1;
    public static final int STATE_NONE = 0;
    public static final int STATE_WAIT = 1;
    public int downloaded;
    public int finished;
    public String label;
    public int legacy;
    public long remaining;
    public long speed;
    public int state;
    public long time;
    public int total;

    public DownloadInfo() {
    }

    @Override // defpackage.C0150Io
    public int describeContents() {
        return 0;
    }

    public int getCategory() {
        return this.category;
    }

    public long getGid() {
        return this.gid;
    }

    public String getLabel() {
        return this.label;
    }

    public int getLegacy() {
        return this.legacy;
    }

    public String getPosted() {
        return this.posted;
    }

    public float getRating() {
        return this.rating;
    }

    public String getSimpleLanguage() {
        return this.simpleLanguage;
    }

    public int getState() {
        return this.state;
    }

    public String getThumb() {
        return this.thumb;
    }

    public long getTime() {
        return this.time;
    }

    public String getTitle() {
        return this.title;
    }

    public String getTitleJpn() {
        return this.titleJpn;
    }

    public String getToken() {
        return this.token;
    }

    public String getUploader() {
        return this.uploader;
    }

    public void setCategory(int i) {
        this.category = i;
    }

    public void setGid(long j) {
        this.gid = j;
    }

    public void setLabel(String str) {
        this.label = str;
    }

    public void setLegacy(int i) {
        this.legacy = i;
    }

    public void setPosted(String str) {
        this.posted = str;
    }

    public void setRating(float f) {
        this.rating = f;
    }

    public void setSimpleLanguage(String str) {
        this.simpleLanguage = str;
    }

    public void setState(int i) {
        this.state = i;
    }

    public void setThumb(String str) {
        this.thumb = str;
    }

    public void setTime(long j) {
        this.time = j;
    }

    public void setTitle(String str) {
        this.title = str;
    }

    public void setTitleJpn(String str) {
        this.titleJpn = str;
    }

    public void setToken(String str) {
        this.token = str;
    }

    public void setUploader(String str) {
        this.uploader = str;
    }

    @Override // defpackage.C0150Io
    public void writeToParcel(Parcel parcel, int i) {
        super.writeToParcel(parcel, i);
        parcel.writeInt(this.state);
        parcel.writeInt(this.legacy);
        parcel.writeLong(this.time);
        parcel.writeString(this.label);
    }

    public DownloadInfo(long j) {
        this.gid = j;
    }

    public DownloadInfo(long j, String str, String str2, String str3, String str4, int i, String str5, String str6, float f, String str7, int i2, int i3, long j2, String str8) {
        this.gid = j;
        this.token = str;
        this.title = str2;
        this.titleJpn = str3;
        this.thumb = str4;
        this.category = i;
        this.posted = str5;
        this.uploader = str6;
        this.rating = f;
        this.simpleLanguage = str7;
        this.state = i2;
        this.legacy = i3;
        this.time = j2;
        this.label = str8;
    }

    public DownloadInfo(Parcel parcel) {
        super(parcel);
        this.state = parcel.readInt();
        this.legacy = parcel.readInt();
        this.time = parcel.readLong();
        this.label = parcel.readString();
    }

    public DownloadInfo(C0150Io io2) {
        this.gid = io2.gid;
        this.token = io2.token;
        this.title = io2.title;
        this.titleJpn = io2.titleJpn;
        this.thumb = io2.thumb;
        this.category = io2.category;
        this.posted = io2.posted;
        this.uploader = io2.uploader;
        this.rating = io2.rating;
        this.simpleTags = io2.simpleTags;
        this.simpleLanguage = io2.simpleLanguage;
    }
}
