package com.google.android.material.appbar;

import android.content.Context;
import android.content.res.ColorStateList;
import android.content.res.TypedArray;
import android.graphics.drawable.ColorDrawable;
import android.graphics.drawable.Drawable;
import android.util.AttributeSet;
import android.util.Pair;
import android.view.View;
import android.widget.TextView;
import androidx.appcompat.widget.Toolbar;
import io.github.nekoinverter.ehviewer.R;
import java.util.WeakHashMap;

public class MaterialToolbar extends Toolbar {
    public Integer a;
    public boolean e;
    public boolean f;

    public MaterialToolbar(Context context, AttributeSet attributeSet) {
        super(Gu.J(context, attributeSet, R.attr.f63270_resource_name_obfuscated_RES_2130969697, R.style.f113390_resource_name_obfuscated_RES_2131821666), attributeSet, R.attr.f63270_resource_name_obfuscated_RES_2130969697);
        Context context2 = getContext();
        int i = 0;
        TypedArray E = C0345Ug.E(context2, attributeSet, C0506bG.C, R.attr.f63270_resource_name_obfuscated_RES_2130969697, R.style.f113390_resource_name_obfuscated_RES_2131821666, new int[0]);
        if (E.hasValue(0)) {
            this.a = Integer.valueOf(E.getColor(0, -1));
            Drawable p = p();
            if (p != null) {
                A(p);
            }
        }
        this.e = E.getBoolean(2, false);
        this.f = E.getBoolean(1, false);
        E.recycle();
        Drawable background = getBackground();
        if (background == null || (background instanceof ColorDrawable)) {
            C1616vw vwVar = new C1616vw();
            vwVar.s(ColorStateList.valueOf(background != null ? ((ColorDrawable) background).getColor() : i));
            vwVar.f4773a.f4688a = new C0228Nh(context2);
            vwVar.A();
            WeakHashMap weakHashMap = FO.f497a;
            vwVar.r(C1483tO.i(this));
            C1160nO.q(this, vwVar);
        }
    }

    @Override // androidx.appcompat.widget.Toolbar
    public void A(Drawable drawable) {
        if (!(drawable == null || this.a == null)) {
            drawable = drawable.mutate();
            drawable.setTint(this.a.intValue());
        }
        super.A(drawable);
    }

    public final void H(View view, Pair pair) {
        int measuredWidth = getMeasuredWidth();
        int measuredWidth2 = view.getMeasuredWidth();
        int i = (measuredWidth / 2) - (measuredWidth2 / 2);
        int i2 = measuredWidth2 + i;
        int max = Math.max(Math.max(((Integer) pair.first).intValue() - i, 0), Math.max(i2 - ((Integer) pair.second).intValue(), 0));
        if (max > 0) {
            i += max;
            i2 -= max;
            view.measure(View.MeasureSpec.makeMeasureSpec(i2 - i, 1073741824), view.getMeasuredHeightAndState());
        }
        view.layout(i, view.getTop(), i2, view.getBottom());
    }

    public void onAttachedToWindow() {
        super.onAttachedToWindow();
        Drawable background = getBackground();
        if (background instanceof C1616vw) {
            C1502tq.u(this, (C1616vw) background);
        }
    }

    @Override // androidx.appcompat.widget.Toolbar
    public void onLayout(boolean z, int i, int i2, int i3, int i4) {
        super.onLayout(z, i, i2, i3, i4);
        if (this.e || this.f) {
            TextView s = C0345Ug.s(this, ((Toolbar) this).f2217b);
            TextView s2 = C0345Ug.s(this, ((Toolbar) this).f2220c);
            if (!(s == null && s2 == null)) {
                int measuredWidth = getMeasuredWidth();
                int i5 = measuredWidth / 2;
                int paddingLeft = getPaddingLeft();
                int paddingRight = measuredWidth - getPaddingRight();
                for (int i6 = 0; i6 < getChildCount(); i6++) {
                    View childAt = getChildAt(i6);
                    if (!(childAt.getVisibility() == 8 || childAt == s || childAt == s2)) {
                        if (childAt.getRight() < i5 && childAt.getRight() > paddingLeft) {
                            paddingLeft = childAt.getRight();
                        }
                        if (childAt.getLeft() > i5 && childAt.getLeft() < paddingRight) {
                            paddingRight = childAt.getLeft();
                        }
                    }
                }
                Pair pair = new Pair(Integer.valueOf(paddingLeft), Integer.valueOf(paddingRight));
                if (this.e && s != null) {
                    H(s, pair);
                }
                if (this.f && s2 != null) {
                    H(s2, pair);
                }
            }
        }
    }

    public void setElevation(float f2) {
        super.setElevation(f2);
        C1502tq.t(this, f2);
    }
}
