package com.hippo.ehviewer.dao;

import android.database.Cursor;
import android.database.sqlite.SQLiteStatement;

public class DownloadDirnameDao extends AbstractC1620w {
    public static final String TABLENAME = "DOWNLOAD_DIRNAME";

    public class Properties {
        public static final ZA Dirname = new ZA(1, String.class, "dirname", false, "DIRNAME");
        public static final ZA Gid = new ZA(0, Long.TYPE, "gid", true, "GID");
    }

    public DownloadDirnameDao(C0138Ic ic) {
        super(ic);
    }

    public static void createTable(AbstractC0240Oc oc, boolean z) {
        String str = z ? "IF NOT EXISTS " : "";
        oc.g("CREATE TABLE " + str + "\"DOWNLOAD_DIRNAME\" (\"GID\" INTEGER PRIMARY KEY NOT NULL ,\"DIRNAME\" TEXT);");
    }

    public static void dropTable(AbstractC0240Oc oc, boolean z) {
        StringBuilder a = C0894ia.a("DROP TABLE ");
        a.append(z ? "IF EXISTS " : "");
        a.append("\"DOWNLOAD_DIRNAME\"");
        oc.g(a.toString());
    }

    @Override // defpackage.AbstractC1620w
    public final boolean isEntityUpdateable() {
        return true;
    }

    public DownloadDirnameDao(C0138Ic ic, DaoSession daoSession) {
        super(ic, daoSession);
    }

    public Long getKey(DownloadDirname downloadDirname) {
        if (downloadDirname != null) {
            return Long.valueOf(downloadDirname.getGid());
        }
        return null;
    }

    public boolean hasKey(DownloadDirname downloadDirname) {
        throw new UnsupportedOperationException("Unsupported for entities with a non-null key");
    }

    @Override // defpackage.AbstractC1620w
    public Long readKey(Cursor cursor, int i) {
        return Long.valueOf(cursor.getLong(i + 0));
    }

    public final Long updateKeyAfterInsert(DownloadDirname downloadDirname, long j) {
        downloadDirname.setGid(j);
        return Long.valueOf(j);
    }

    public final void bindValues(AbstractC0341Uc uc, DownloadDirname downloadDirname) {
        uc.g();
        uc.h(1, downloadDirname.getGid());
        String dirname = downloadDirname.getDirname();
        if (dirname != null) {
            uc.f(2, dirname);
        }
    }

    @Override // defpackage.AbstractC1620w
    public DownloadDirname readEntity(Cursor cursor, int i) {
        long j = cursor.getLong(i + 0);
        int i2 = i + 1;
        return new DownloadDirname(j, cursor.isNull(i2) ? null : cursor.getString(i2));
    }

    public void readEntity(Cursor cursor, DownloadDirname downloadDirname, int i) {
        downloadDirname.setGid(cursor.getLong(i + 0));
        int i2 = i + 1;
        downloadDirname.setDirname(cursor.isNull(i2) ? null : cursor.getString(i2));
    }

    public final void bindValues(SQLiteStatement sQLiteStatement, DownloadDirname downloadDirname) {
        sQLiteStatement.clearBindings();
        sQLiteStatement.bindLong(1, downloadDirname.getGid());
        String dirname = downloadDirname.getDirname();
        if (dirname != null) {
            sQLiteStatement.bindString(2, dirname);
        }
    }
}
