package com.hippo.ehviewer.widget;

import android.content.Context;
import android.graphics.Canvas;
import android.util.AttributeSet;
import android.view.MotionEvent;

public class ReversibleSeekBar extends B3 {
    public boolean b;

    public ReversibleSeekBar(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
    }

    public void draw(Canvas canvas) {
        int i;
        boolean z = this.b;
        if (z) {
            i = canvas.save();
            canvas.scale(-1.0f, 1.0f, ((float) getWidth()) / 2.0f, ((float) getHeight()) / 2.0f);
        } else {
            i = 0;
        }
        super.draw(canvas);
        if (z) {
            canvas.restoreToCount(i);
        }
    }

    public boolean onTouchEvent(MotionEvent motionEvent) {
        float f;
        boolean z = this.b;
        float f2 = 0.0f;
        if (z) {
            f2 = motionEvent.getX();
            f = motionEvent.getY();
            motionEvent.setLocation(((float) getWidth()) - f2, f);
        } else {
            f = 0.0f;
        }
        boolean onTouchEvent = super.onTouchEvent(motionEvent);
        if (z) {
            motionEvent.setLocation(f2, f);
        }
        return onTouchEvent;
    }
}
